Package com.avaya.clientservices.dialingrules

## Class DialingRulesConfiguration

- java.lang.Object
- - com.avaya.clientservices.dialingrules.DialingRulesConfiguration

-     public class DialingRulesConfiguration
      extends java.lang.Object

  The dialing rules configuration to be applied to transform a user supplied number into a dialable number.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DialingRulesConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAreaCode()` | The area code for the user's region.
    `java.lang.String` | `getCountryCode()` | The country code for the user's region.
    `int[]` | `getInternalExtensionLengths()` | The lengths of all internal extensions in the enterprise network.
    `java.lang.String` | `getInternationalAccessCode()` | The access code for outgoing international calls.
    `java.lang.String` | `getLongDistanceAccessCode()` | The long distance access code for the user's region.
    `int[]` | `getNationalNumberLengths()` | The lengths of national numbers valid for the user's country.
    `java.lang.String` | `getOutsideLineAccessCode()` | The string of digits to prepend to the dialed number to make an external call from an enterprise network.
    `java.lang.String` | `getPBXPrefix()` | The prefix used for internal extensions.
    `boolean` | `isApplyARSToShortNumbers()` | Indicates whether to disable the dialing rules logic that automatically prefixes the outside line access code to numbers that are shorter than the shortest extension length.
    `boolean` | `isE164PassthroughEnabled()` | Indicates whether to allow sending of E.164 numbers (i.e any numbers with a leading '+') directly to the network server without application of any dialing rules transformations.
    `boolean` | `isEnabled()` | Indicates whether the dialing rules are enabled or not.
    `boolean` | `isExcludeDialingRulesFromCallRecordsEnabled()` | Indicates whether dialing rule prefixes should be removed from call records for outgoing calls.
    `boolean` | `isPoundKeyUsedAsCallTrigger()` | Indicates whether pressing pound sign during off-hook dialing should trigger the call start.
    `boolean` | `isRemoveAreaCodeForLocalCalls()` | Indicates whether or not the area code should be removed when dialing local numbers.
    `void` | `setApplyARSToShortNumbers​(boolean isApplyARSToShortNumbers)` | Sets the boolean value to disable the dialing rules logic that automatically prefixes the outside line access code to numbers that are shorter than the shortest extension length.
    `void` | `setAreaCode​(java.lang.String areaCode)` | Sets the area code for the user's region.
    `void` | `setCountryCode​(java.lang.String countryCode)` | Sets the country code for the user's region.
    `void` | `setE164PassthroughEnabled​(boolean isE164PassthroughEnabled)` | Sets the boolean value to allow sending of E.164 numbers (i.e any numbers with a leading '+') directly to the network server without application of any dialing rules transformations.
    `void` | `setEnabled​(boolean enabled)` | Enables or disables the dialing rules.
    `void` | `setExcludeDialingRulesFromCallRecordsEnabled​(boolean bExcludeDialingRulesFromCallRecordsEnabled)` | Sets whether dialing rule prefixes should be removed from call records for outgoing calls.
    `void` | `setInternalExtensionLengths​(int[] internalExtensionLengths)` | Sets the lengths of all internal extensions in the enterprise network.
    `void` | `setInternationalAccessCode​(java.lang.String internationalAccessCode)` | Sets the access code for outgoing international calls.
    `void` | `setLongDistanceAccessCode​(java.lang.String longDistanceAccessCode)` | Sets the long distance access code for the user's region.
    `void` | `setNationalNumberLengths​(int[] nationalNumberLengths)` | Set the lengths of national numbers valid for the user's country.
    `void` | `setOutsideLineAccessCode​(java.lang.String outsideLineAccessCode)` | Sets the string of digits to prepend to the dialed number to make an external call from an enterprise network.
    `void` | `setPBXPrefix​(java.lang.String pbxPrefix)` | Sets the prefix used for internal extensions.
    `void` | `setPoundKeyUsedAsCallTrigger​(boolean bPoundKeyUsedAsCallTrigger)` | Sets the boolean value indicating whether pressing pound sign during off-hook dialing should trigger the call start.
    `void` | `setRemoveAreaCodeForLocalCalls​(boolean removeAreaCodeForLocalCalls)` | Sets a boolean value which controls whether or not the area code should be removed when dialing local numbers.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DialingRulesConfiguration

          public DialingRulesConfiguration()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Indicates whether the dialing rules are enabled or not.
      Returns:
        true if the dialing rules are enabled, false otherwise.

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Enables or disables the dialing rules.
      Parameters:
        `enabled` - true to enable dialing rules, false otherwise.

    - #### getOutsideLineAccessCode

          public java.lang.String getOutsideLineAccessCode()

      The string of digits to prepend to the dialed number to make an external call from an enterprise network.

      To disambiguate between internal and external numbers most PBX systems require an access code like "9" to obtain an outside line.

      Returns:
        The string of digits for making external calls.

    - #### setOutsideLineAccessCode

          public void setOutsideLineAccessCode​(java.lang.String outsideLineAccessCode)

      Sets the string of digits to prepend to the dialed number to make an external call from an enterprise network.

      To disambiguate between internal and external numbers most PBX systems require an access code like "9" to obtain an outside line.

      Parameters:
        `outsideLineAccessCode` - The code of dialed digits to make external calls from enterprise network.

    - #### getCountryCode

          public java.lang.String getCountryCode()

      The country code for the user's region.

      For example, if local phone number is in the form of +1 303-538-1234, then the country code is "1".

      Returns:
        The country code for the user's region.

    - #### setCountryCode

          public void setCountryCode​(java.lang.String countryCode)

      Sets the country code for the user's region.

      For example, if local phone number is in the form of +1 303-538-1234, then the country code is "1".

      Parameters:
        `countryCode` - The country code for the user's region.

    - #### getAreaCode

          public java.lang.String getAreaCode()

      The area code for the user's region.

      For example, if local phone number is in the form of +1 303-538-1234, then the area code is "303".

      Returns:
        The area code for the user's region.

    - #### setAreaCode

          public void setAreaCode​(java.lang.String areaCode)

      Sets the area code for the user's region.

      For example, if local phone number is in the form of +1 303-538-1234, then the area code is "303".

      Parameters:
        `areaCode` - The area code for the user's region.

    - #### isRemoveAreaCodeForLocalCalls

          public boolean isRemoveAreaCodeForLocalCalls()

      Indicates whether or not the area code should be removed when dialing local numbers.

      For example, if the area code is set to "303", the outside line access code is set to "9", and this option is enabled, then applying dialing rules to "303-538-1234" will result in "95381234".

      Returns:
        true if the area code should be removed when dialing local numbers, false otherwise.

    - #### setRemoveAreaCodeForLocalCalls

          public void setRemoveAreaCodeForLocalCalls​(boolean removeAreaCodeForLocalCalls)

      Sets a boolean value which controls whether or not the area code should be removed when dialing local numbers.

      For example, if the area code is set to "303", the outside line access code is set to "9", and this option is enabled, then applying dialing rules to "303-538-1234" will result in "95381234".

      Parameters:
        `removeAreaCodeForLocalCalls` - true if the area code should be removed when dialing local numbers, false otherwise.

    - #### getPBXPrefix

          public java.lang.String getPBXPrefix()

      The prefix used for internal extensions.

      For example, if the area code is set to "303", the prefix is set to "538", and the extension length is 5 then the number "+1 303-538-12345" will be dialed as "12345". The combination of area code and prefix allows the dialing rules to recognize an internal number from local, national or international numbering format.

      Returns:
        The prefix used for internal extensions.

    - #### setPBXPrefix

          public void setPBXPrefix​(java.lang.String pbxPrefix)

      Sets the prefix used for internal extensions.

      For example, if the area code is set to "303", the prefix is set to "538", and the extension length is 5 then the number "+1 303-538-12345" will be dialed as "12345". The combination of area code and prefix allows the dialing rules to recognize an internal number from local, national or international numbering format.

      Parameters:
        `pbxPrefix` - The prefix used for internal extensions.

    - #### getLongDistanceAccessCode

          public java.lang.String getLongDistanceAccessCode()

      The long distance access code for the user's region.

      For example, in the United States, the access code would be "1".

      Returns:
        The long distance access code for the user's region.

    - #### setLongDistanceAccessCode

          public void setLongDistanceAccessCode​(java.lang.String longDistanceAccessCode)

      Sets the long distance access code for the user's region.

      For example, in the United States, the access code would be "1".

      Parameters:
        `longDistanceAccessCode` - The long distance access code for the user's region.

    - #### getInternationalAccessCode

          public java.lang.String getInternationalAccessCode()

      The access code for outgoing international calls.

      For example, in the United States, this access code would be "011".

      Returns:
        The access code for outgoing international calls.

    - #### setInternationalAccessCode

          public void setInternationalAccessCode​(java.lang.String internationalAccessCode)

      Sets the access code for outgoing international calls.

      For example, in the United States, this access code would be "011".

      Parameters:
        `internationalAccessCode` - The access code for outgoing international calls.

    - #### getInternalExtensionLengths

          public int[] getInternalExtensionLengths()

      The lengths of all internal extensions in the enterprise network.
      Returns:
        The lengths of all internal extensions.

    - #### setInternalExtensionLengths

          public void setInternalExtensionLengths​(int[] internalExtensionLengths)

      Sets the lengths of all internal extensions in the enterprise network.
      Parameters:
        `internalExtensionLengths` - The lengths of all internal extensions in the enterprise network.

    - #### getNationalNumberLengths

          public int[] getNationalNumberLengths()

      The lengths of national numbers valid for the user's country.

      These lengths represent numbers without the country code. For example, some European countries like Italy have variable national number lengths between 8 to 12.

      Returns:
        The lengths of national numbers valid for the user's country.

    - #### setNationalNumberLengths

          public void setNationalNumberLengths​(int[] nationalNumberLengths)

      Set the lengths of national numbers valid for the user's country.

      These lengths represent numbers without the country code. For example, some European countries like Italy have variable national number lengths between 8 to 12.

      Parameters:
        `nationalNumberLengths` - The lengths of national numbers to set.

    - #### isApplyARSToShortNumbers

          public boolean isApplyARSToShortNumbers()

      Indicates whether to disable the dialing rules logic that automatically prefixes the outside line access code to numbers that are shorter than the shortest extension length.
      Returns:
        true if the outside line access code should be prefixed to the numbers that are shorter than the shortest extension length, false otherwise.

    - #### setApplyARSToShortNumbers

          public void setApplyARSToShortNumbers​(boolean isApplyARSToShortNumbers)

      Sets the boolean value to disable the dialing rules logic that automatically prefixes the outside line access code to numbers that are shorter than the shortest extension length.
      Parameters:
        `isApplyARSToShortNumbers` - boolean true if outside line access code should be prefixed, false otherwise.

    - #### isE164PassthroughEnabled

          public boolean isE164PassthroughEnabled()

      Indicates whether to allow sending of E.164 numbers (i.e any numbers with a leading '+') directly to the network server without application of any dialing rules transformations.
      Returns:
        true if an E.164 number with a leading + sign should be sent to network server directly, false otherwise.

    - #### setE164PassthroughEnabled

          public void setE164PassthroughEnabled​(boolean isE164PassthroughEnabled)

      Sets the boolean value to allow sending of E.164 numbers (i.e any numbers with a leading '+') directly to the network server without application of any dialing rules transformations.
      Parameters:
        `isE164PassthroughEnabled` - true if an E.164 number with a leading + sign should be sent to network server directly as-is, without removing the + sign, false otherwise.

    - #### isPoundKeyUsedAsCallTrigger

          public boolean isPoundKeyUsedAsCallTrigger()

      Indicates whether pressing pound sign during off-hook dialing should trigger the call start.
      Returns:
        true if the call shall be triggered by # during off-hook dialing, false otherwise.

    - #### setPoundKeyUsedAsCallTrigger

          public void setPoundKeyUsedAsCallTrigger​(boolean bPoundKeyUsedAsCallTrigger)

      Sets the boolean value indicating whether pressing pound sign during off-hook dialing should trigger the call start.
      Parameters:
        `bPoundKeyUsedAsCallTrigger` - the boolean value indicating whether pressing pound sign during off-hook dialing should trigger the call start.

    - #### isExcludeDialingRulesFromCallRecordsEnabled

          public boolean isExcludeDialingRulesFromCallRecordsEnabled()

      Indicates whether dialing rule prefixes should be removed from call records for outgoing calls. When enabled, any access codes applied during dialing— such as outside line access (ARS), long distance codes (LDC), international call codes (ICC), PBX prefixes, or local area codes—are stripped before storing the number in the call log.

      This ensures the call record reflects the original number the user intended to dial, without any extra prefixes added for routing.

      Default is `false`.

      Example: If the dialed number is "95551234", where ARS = "9" and PBX prefix = "555", the original number is "1234". Enabling this setting will store "1234" in the call log.

      Returns:
        `true` if dialing rule prefixes should be excluded from call records; `false` otherwise.

    - #### setExcludeDialingRulesFromCallRecordsEnabled

          public void setExcludeDialingRulesFromCallRecordsEnabled​(boolean bExcludeDialingRulesFromCallRecordsEnabled)

      Sets whether dialing rule prefixes should be removed from call records for outgoing calls. When enabled, any access codes applied during dialing— such as outside line access (ARS), long distance codes (LDC), international call codes (ICC), PBX prefixes, or local area codes—are stripped before storing the number in the call log.

      This ensures the call record reflects the original number the user intended to dial, without any extra prefixes added for routing.

      Example: If the dialed number is "95551234", where ARS = "9" and PBX prefix = "555", the original number is "1234". Enabling this setting will store "1234" in the call log.

      Parameters:
        `bExcludeDialingRulesFromCallRecordsEnabled` - `true` to enable stripping of dialing rule prefixes; `false` to keep them.